For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList phone numbers
      • GETGet a phone number
      • POSTImport phone number
      • PATCHUpdate a phone number
      • DELDelete a phone number
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIPhone Numbers

Import phone number

||View as Markdown|
POST
/custom-numbers
POST
/v2/custom-numbers
$curl -X POST https://api.synthflow.ai/v2/custom-numbers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "workspace_id": "1710107690998x536152705164378100",
> "phone_number": "+33782990580",
> "friendly_name": "My Custom Number"
>}'
1{
2 "status": "ok",
3 "response": {
4 "key": "787f0c0e-fc83-41b1-bfbe-266727f611a4",
5 "phone_number": "+33782990580"
6 }
7}
Imports a custom phone number into your workspace. This is useful for direct SIP dialing scenarios where your telephony provider does not offer elastic SIP trunking.
Was this page helpful?
Previous

Update a phone number

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
workspace_idstringRequired
The workspace ID to associate the phone number with.
phone_numberstringRequired
The phone number to import.
friendly_namestringOptional

A human-readable name for the phone number.

trunk_usernamestringOptional
Optional SIP trunk username for authentication.
trunk_pwdstringOptional
Optional SIP trunk password for authentication.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error